/*
 * Library of Useful Stuff (LOUS), a collection of useful functions
 * Copyright (C) 2001,2002,2004 Chris G. Davis <davis@lrtw.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef LOUS_SRC_INCLUDE_ASSOCIATION_H
#define LOUS_SRC_INCLUDE_ASSOCIATION_H

#ident "@(#)association.h 1.5      04/02/21 Chris G. Davis"

/** \file src/include/association.h
 *  \brief Association table
 *  \author Chris G. Davis
 *
*/

/*
 * Required LOUS functionality
 */
#include "lous/hash.h"

struct LOUS_Association_Table;
typedef struct LOUS_Association_Table association_t;

association_t* association_alloc(s32_t keylen, s32_t datalen);

void association_destroy(association_t* set);

void association_create(association_t* set, void* key, void* data);

void association_delete(association_t* set, void* key, void* data);

void* association_getkey(association_t* set, void* data);

void* association_getdata(association_t* set, void* data);

#endif /* LOUS_SRC_INCLUDE_ASSOCIATION_H */
