/*
 * Library of Useful Stuff (LOUS), a collection of useful functions
 * Copyright (C) 2004 Chris G. Davis <davis@lrtw.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef LOUS_SRC_INCLUDE_NETSOCKET_H
#define LOUS_SRC_INCLUDE_NETSOCKET_H

#ident "@(#)netsocket.h 1.2      04/02/21 Chris G. Davis"

/** \file src/include/netsocket.h
 *  \brief Socket definitions
 *  \author Chris G. Davis
 *
 * \todo rename this to socket, and add unix domain sockets
*/

#define NETSOCK_TCP            0x0001 /**< TCP socket */
#define NETSOCK_UDP            0x0002 /**< UDP socket */
#define NETSOCK_ICMP           0x0004 /**< ICMP socket */
#define NETSOCK_IP             0x000f /**< IP socket */

#define NETSOCK_SERVER         0x0010 /**< server socket */
#define NETSOCK_CLIENT         0x0020 /**< client socket */

/** allocate a socket
 * 
 * @param flags
 * @param addr
 * @param port
 *
 * @return the socket file descriptor
 */
s32_t netsocket_alloc(s32_t flags, char* addr, s32_t port);

/** close a socket 
 * 
 * @param fd
 */
void netsocket_destroy(s32_t fd);

#endif /* LOUS_SRC_INCLUDE_NETSOCKET_H */
