/*
 * Library of Useful Stuff (LOUS), a collection of useful functions
 * Copyright (C) 2001,2002,2004 Chris G. Davis <davis@lrtw.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef LOUS_SRC_NETWORKING_INTERNAL_NETEVENT_H
#define LOUS_SRC_NETWORKING_INTERNAL_NETEVENT_H

#ident "@(#)netevent.h 1.6      04/02/21 Chris G. Davis"

/** \file src/networking/internal/netevent.h
 *  \brief Netevent internal definitions
 *  \author Chris G. Davis
 *
 */

struct LOUS_Netevent {
  s32_t sec;
  s32_t usec;

  s32_t flags;

  hash_t* classes;

  s32_t timeout;
};

struct LOUS_Netevent_Class {
  iterator_entry_t iterate;

  char* tag;
  s32_t flags;

  s32_t (*callback)(s32_t fd, s32_t flags, char* tag);

  hash_t* users;

  s32_t timeout;
};

struct LOUS_Netevent_User {
  iterator_entry_t iterate;

  char* tag;

  s32_t fd;
  s32_t flags;
  s32_t timeout;

  struct timeval active;

};

#endif /* LOUS_SRC_NETWORKING_INTERNAL_NETEVENT_H */
