/*
 * Library of Useful Stuff (LOUS), a collection of useful functions
 * Copyright (C) 2004 Chris G. Davis <davis@lrtw.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ident "@(#)pregex.c 1.1      04/02/21 Chris G. Davis"

/** \file src/string/pregex.c
 *  \brief Partial regex code
 *  \author Chris G. Davis 
 *
*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "lous/pregex.h"
#include "internal/pregex.h"

pregex_t* pregex_alloc(char* string, s32_t flags) {
  pregex_t* retval;
  LDFunc();
  LDParam(string, == NULL, "%s", NULL);

  Lmalloc( retval, sizeof( pregex_t ), NULL );

  /* now, compile the pattern */

  return retval;
}

void pregex_destroy(pregex_t* rx) {
  LDFunc();
  LDParam(rx, == NULL, "%p");

  free( rx );
}

regmatch_t pregex_check_one(char* string, pregex_t* rx, s32_t flags) {
  regmatch_t retval = nomatch;
  LDFunc();
  /* rest of params are checked already */

  return retval;
}

regmatch_t pregex_check(char* string, pregex_t* rx, s32_t flags) {
  regmatch_t retval = nomatch;

  LDFunc();
  LDParam(string, == NULL, "%s", parammatch);
  LDParam(rx, == NULL, "%p", parammatch);
  LDParam(rx->magic, != PREGEX_MAGIC, "%d", magicmatch);

  /* super simple regex */
  retval = pregex_check_one(string, rx, flags);

  return retval;
}
