/*
 * Library of Useful Stuff (LOUS), a collection of useful functions
 * Copyright (C) 2002,2004 Chris G. Davis <davis@lrtw.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ident "@(#)splay-hash.c 1.3      04/02/16 Chris G. Davis"

/** \file tests/t0004/splay-hash.c
 *  \brief
 *  \author Chris G. Davis 
 *
*/

#include <stdio.h>
#include "lous/lous.h"
#include "lous/logging.h"
#include "lous/hash.h"
#include "lous/splay.h"

int main() {
	hash_t* hash;
        char* data;
        char buffer[64];
        FILE* dict;
        void* ret;

	hash = hash_alloc(64, 0, 
		HASH_MULTIPLEX | HASH_SPLAY, 
		NULL, NULL, NULL);

        dict = fopen("words", "r");

        printf("Add all words: ");
        while( fgets(buffer, 64, dict)>0 ) {
                hash_insert(hash, buffer, "default");
        }
        printf("done\n");
        fclose(dict);

        dict = fopen("words", "r");

        printf("Remove all words: ");
        while( fgets(buffer, 64, dict)>0 ) {
                ret = hash_remove(hash, buffer);
                if( ret == NULL) {
                        printf("%s return invalid\n", buffer);
                }
        }
        printf("done\n");
        fclose(dict);

        dict = fopen("words", "r");

        printf("Add all words: ");
        while( fgets(buffer, 64, dict)>0 ) {
                hash_insert(hash, buffer, NULL);
        }
        printf("done\n");
        fclose(dict);

	return 0;
}


