/*
 * Library of Useful Stuff (LOUS), a collection of useful functions
 * Copyright (C) 2002,2004 Chris G. Davis <davis@lrtw.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ident "@(#)basic.c 1.3      04/02/16 Chris G. Davis"

/** \file tests/t0006/basic.c
 *  \brief
 *  \author Chris G. Davis 
 *
*/
#include <stdio.h>
#include "lous/lous.h"
#include "lous/logging.h"
#include "lous/association.h"

char* keys[] = {
	"key1",
	"key2",
	"key3",
	"key4",
	"key5",
};

char* vals[] = {
	"105",
	"574",
	"4387",
	"3625",
	"9584",
};

int main() {
	association_t* set;
	s32_t count = 0;
	char* ret1;
	char* ret2;

	set = association_alloc(0, 4);

	for(count = 0; count < 5; count++ ) {
		association_create(set, keys[count], vals[count]);
	}

	ret1 = association_getkey( set, vals[3] );

	ret2 = association_getdata( set, keys[1] );

	printf("Got: %s %s\n", ret1, ret2);

	return 0;
}

